---
title: RTCRtpReceiver.getStats()
slug: Web/API/RTCRtpReceiver/getStats
tags:
  - API
  - Media
  - Method
  - RTCRtpReceiver
  - Reference
  - WebRTC
  - WebRTC API
  - WebRTC Statistics
  - WebRTC Statistics API
  - getStats
---
<div>{{APIRef("WebRTC")}}</div>

<p>The {{domxref("RTCRtpReceiver")}} method <code><strong>getStats()</strong></code> asynchronously requests an {{domxref("RTCStatsReport")}} object which provides statistics about incoming traffic on the owning {{domxref("RTCPeerConnection")}}, returning a {{jsxref("Promise")}} whose fulfillment handler will be called once the results are available.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>promise</em> = <em>RTCRtpReceiver</em>.getStats();
</pre>

<h3 id="Return_value">Return value</h3>

<p>A JavaScript {{jsxref("Promise")}} which is fulfilled once the statistics are available. The promise's fulfillment handler receives as a parameter a {{domxref("RTCStatsReport")}} object containing the collected statistics.</p>

<p>The returned statistics include those from all streams which are coming in through the <code>RTCRtpReceiver</code>, as well as any of their dependencies.</p>

<h2 id="Example">Example</h2>

<p>This simple example obtains the statistics for an <code>RTCRtpReceiver</code> and updates an element's {{domxref("Node.innerText", "innerText")}} to display the number of packets lost.</p>

<pre class="brush: js">receiver.getStats().then(function(stats) {
  document.getElementById("lostpackets").innerText =
          stats.packetsLost;
});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table" style="height: 49px; width: 1000px;">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#widl-RTCRtpReceiver-getStats-Promise-RTCStatsReport', 'RTCRtpReceiver.getStats()') }}</td>
   <td>{{ Spec2('WebRTC 1.0') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCRtpReceiver.getStats")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API</a></li>
 <li>{{domxref("RTCStatsReport")}}</li>
 <li>{{domxref("RTCRtpSender.getStats()")}}</li>
 <li>{{domxref("RTCPeerConnection.getStats()")}}</li>
</ul>
